Docs
Product Repository APIFilter

Update a filter partiallyBeta

Security groups:Rule Engineers
PATCH
/products/filters/{filterId}

Update specific fields of an existing Filter resource.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Path Parameters

filterId*string

The unique UUID identifier of the Filter. Must be a valid UUID format.

FormatUUID

Request Body

application/json

Response Body

application/json

application/json

application/json

application/json

application/json

curl -X PATCH "https://example.com/products/filters/string" \  -H "Content-Type: application/json" \  -d '{    "name": "Green Salad Filter",    "description": "Selects products tagged as \\"Salad\\" or \\"Tomato\\" and with green veggie color",    "query": "eclear.productTags[en] %in% (\\"Salad\\", \\"Tomato\\") & merchant.veggieColor = \\"green\\""  }'
Empty
{
  "code": "BadRequest",
  "message": "Bad request.",
  "status": "BAD_REQUEST"
}
{
  "code": "Unauthorized",
  "message": "Not authorized.",
  "status": "UNAUTHORIZED"
}
{
  "code": "Forbidden",
  "message": "API key no longer has access to the account, or their user level doesn’t allow access to the endpoint.",
  "status": "FORBIDDEN"
}
{
  "code": "NotFound",
  "message": "The requested resource could not be found. Either no object exists with the ID provided in the path, or the path is incorrect.",
  "status": "NOT_FOUND"
}
{
  "code": "PAYLOAD_TOO_LARGE",
  "message": "Request body too large.",
  "status": "PAYLOAD_TOO_LARGE",
  "timestamp": "2024-06-21T12:36:37.900574"
}